
Name:           openwbem
%define prefix /usr
%define localstatedir /var/lib
%define startnum 36
%define killnum 64
%define daemonname owcimomd
%define owversion 3.2.3
Version:        3.2.3
Release:        1%{?dist}
Group:          System/Management
Summary:        Web Based Enterprise Management (WBEM) Implementation
License:        BSD 3-Clause
URL:            http://openwbem.sourceforge.net/
Source0:        %{name}-%{version}.tar.bz2
Source1:        novell-openwbem-root-acl.mof
Source2:        loadmof.sh
Source3:        rmmof.sh
Source4:        openwbem-owcimomd.init
Source5:        openwbem-etc_pam.d_openwbem
Source6:        %{name}-rpmlintrc
Patch1:         openwbem-reset-crypto-locking-cb.patch
Patch2:         add_c_includes.patch
Patch3:         gcc4.patch
Patch4:         autotools.patch
Patch5:         tmp.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       cim-server
Requires:       cim-schema, sed, coreutils, grep, /usr/bin/loadmof.sh, /usr/bin/rmmof.sh, /bin/hostname
%if 0%{?suse_version}
Requires:         %insserv_prereq %fillup_prereq
%endif
BuildRequires:  cim-schema gcc-c++ pam-devel
%if 0%{?suse_version}
BuildRequires: openslp-devel
%endif
%if 0%{?suse_version} >= 1030
BuildRequires:  libopenssl-devel
%else
BuildRequires:  openssl-devel
%endif

%description
OpenWBEM is a set of software components that help facilitate
deployment of the Common Information Model (CIM) and Web-Based
Enterprise Management (WBEM) technologies of the Distributed Management
Task Force (DMTF).

Web-Based Enterprise Management (WBEM) is a set of management and
Internet standard technologies developed to unify the management of
distributed computing environments. WBEM provides the ability for the
industry to deliver a well-integrated set of standards-based management
tools, facilitating the exchange of data across otherwise disparate
technologies and platforms.

For more information about DMTF and its technologies, visit
http://www.dmtf.org/standards.

%package devel
Group:          System/Management
Summary:        Web Based Enterprise Management (WBEM) Implementation
Requires:       openwbem = %{version}-%{release}

%description devel
OpenWBEM is a set of software components that help facilitate the
deployment of the DMTF's (Distributed Management Task Force) CIM/WBEM
technologies. If you are not familiar with the DMTF and it's
technologies, you might want to visit their web site at
http://www.dmtf.org.

%prep
%setup 
%patch1
%patch2
#%if 0%{?fedora_version} > 11 || 0%{?suse_version} > 1100
%patch3 -p1
%patch4 -p1
%patch5 -p1
#%endif

%build
## Uncomment these for the occasional mbuild to run testsuite on all plats. 
## I wonder if this will screw up autobuild time estimates...
#./configure
#export OWLONGTEST=1
#make %{?jobs:-j%jobs} check
#make distclean
## end testsuite run
# Fix the config file
#  -e "s!^owcimomd.allowed_users =.*!owcimomd.allowed_users = \*!g" 
sed  \
  -e "s!^;owcimomd.ACL_superuser =.*!owcimomd.ACL_superuser = root!g" \
  -e "s!^owcimomd.interop_schema_namespace =.*!owcimomd.interop_schema_namespace = Interop!g" \
  -e "s!^http_server.http_port = 5988!http_server.http_port = -1!g" \
  -e "s!^http_server.allow_local_authentication = false!http_server.allow_local_authentication = true!g" \
  -e "s!^cppprovifc.prov_location = @libdir@/openwbem/c++providers!cppprovifc.prov_location = @libdir@/openwbem/c++providers:/opt/novell/%_lib/openwbem/c++providers!g" \
  -e "s!^cmpiprovifc.prov_location = @libdir@/openwbem/cmpiproviders!cmpiprovifc.prov_location = @libdir@/cmpi:@libdir@/openwbem/cmpiproviders!g" \
  < etc/openwbem.conf.sh > etc/openwbem.conf.sh.new
mv etc/openwbem.conf.sh.new etc/openwbem.conf.sh 
autoreconf --force --install
%if 0%{?suse_version} >= 1120
LIBS="-lpthread" \
%endif
CFLAGS="$RPM_OPT_FLAGS -fstack-protector -fno-strict-aliasing" \
CXXFLAGS="$RPM_OPT_FLAGS -Wno-deprecated -fstack-protector -fno-strict-aliasing" \
./configure \
	--prefix=%{prefix} \
	--sysconfdir=/etc \
	--libdir=%_libdir \
	--localstatedir=%{localstatedir} \
	--libexecdir=%{prefix}/%_lib/openwbem/bin \
	--mandir=%_mandir \
	--enable-threads-run-as-user
make %{?jobs:-j%jobs}

%install
%{__rm} -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT/etc/openwbem/openwbem.conf.d
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 etc/sysconfig/daemons/owcimomd $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.owcimomd
install -d $RPM_BUILD_ROOT/etc/init.d
install -d $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/usr/bin
ln -sf ../../etc/init.d/owcimomd $RPM_BUILD_ROOT/usr/sbin/rcowcimomd
install -d $RPM_BUILD_ROOT/etc/pam.d
install -d $RPM_BUILD_ROOT%_libdir/openwbem/cmpiproviders
install -m 644 etc/pam.d/openwbem $RPM_BUILD_ROOT/etc/pam.d
install -d $RPM_BUILD_ROOT/%{prefix}/%_lib/openwbem/c++providers
install -d $RPM_BUILD_ROOT/%{localstatedir}/openwbem
install -m 755 %{S:2} $RPM_BUILD_ROOT/usr/bin/ow-loadmof.sh
install -m 755 %{S:3} $RPM_BUILD_ROOT/usr/bin/ow-rmmof.sh
install -m 755 %{S:4} $RPM_BUILD_ROOT/etc/init.d/owcimomd
install -m 644 %{S:5} $RPM_BUILD_ROOT/etc/pam.d/openwbem
# Load the schema.
MOFPATH=$RPM_BUILD_ROOT/%{prefix}/share/mof/%{name}
install -d $MOFPATH
mv $RPM_BUILD_ROOT/%{prefix}/share/%{name}/* $MOFPATH/
rmdir $RPM_BUILD_ROOT/%{prefix}/share/%{name}
install -m 644 %{S:1} $MOFPATH/
# touch them here so we can %ghost them in %files. 
touch $RPM_BUILD_ROOT/%{localstatedir}/openwbem/{classassociation,instances,instassociation,namespaces,schema}.{dat,ndx,lock}
# END OF INSTALL
%if 0%{?suse_version}
%perl_process_packlist
%endif

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre
DUMPUTIL=%{prefix}/sbin/owrepositorydump
REPODIR=%{localstatedir}/openwbem
if [ "x$1" == "x2" ]; then
  if [ -x $DUMPUTIL ]; then
    if [ ! -d $REPODIR/dump ]; then
      mkdir $REPODIR/dump
    fi
    DUMPFILE=$REPODIR/dump/repo.mof
    CIMOM_INIT=/etc/init.d/owcimomd
    if [ "$YAST_IS_RUNNING" != "instsys" ] ; then
      $CIMOM_INIT status > /dev/null 2>&1
      if [ "x$?" = "x0"  ]; then
        $CIMOM_INIT stop > /dev/null 2>&1
        touch $REPODIR/dump/restart
      fi
    fi
    $DUMPUTIL -d $REPODIR -o $DUMPFILE || rm -f $DUMPFILE
  fi
fi

%post
test -n "$MY_FIRST_ARG" || MY_FIRST_ARG=$1
/sbin/ldconfig
%{fillup_and_insserv -y -n owcimomd owcimomd}
REPODIR=%{localstatedir}/openwbem
MOFDIR=%{prefix}/share/mof
CIMPATH=$MOFDIR/cim-current
LOGFILE=$REPODIR/owmofc.log
rm -f $LOGFILE
# upgrade
if [ "x$MY_FIRST_ARG" == "x2" ]; then 
  # in the case of upgrade, make sure novell provider dir is supported
  if ! grep -q "cppprovifc\.prov_location.*/opt/novell/%_lib/openwbem/c++providers.*" /etc/openwbem/openwbem.conf; then 
    sed -e 's!^\(cppprovifc\.prov_location.*\)!\1:/opt/novell/%_lib/openwbem/c++providers!' \
  	< /etc/openwbem/openwbem.conf > /etc/openwbem/openwbem.conf.tmp; 
    mv /etc/openwbem/openwbem.conf.tmp /etc/openwbem/openwbem.conf
  fi
  if ! grep -q "^http_server\.allow_local_authentication = true" /etc/openwbem/openwbem.conf; then 
    sed -e 's!.*http_server\.allow_local_authentication.*!http_server\.allow_local_authentication = true!' \
  	< /etc/openwbem/openwbem.conf > /etc/openwbem/openwbem.conf.tmp; 
    mv /etc/openwbem/openwbem.conf.tmp /etc/openwbem/openwbem.conf
  fi
  # handle upgrade of repository
  if [ -f $REPODIR/dump/restart ]; then
    CIMOM_RESTART=1
  fi
  DUMPFILE=$REPODIR/dump/repo.mof
  CIMOM_INIT=/etc/init.d/owcimomd
  OLDDUMP=%_libdir/openwbem/owrepositorydump-3.1.0
# If no dump file exists, we assume we're upgrading from version 3.1.0
  if [ ! -f $DUMPFILE ]; then
    if [ -x $OLDDUMP ]; then
      mkdir -p $REPODIR/dump
      if [ "$YAST_IS_RUNNING" != "instsys" ] ; then
        $CIMOM_INIT status > /dev/null 2>&1
        if [ "x$?" = "x0" ]; then
          CIMOM_RESTART=1
        fi
      fi
      echo "dumping version 3.1.0 repository" 
      $CIMOM_INIT stop > /dev/null 2>&1
      $OLDDUMP -d $REPODIR -o $DUMPFILE || rm -f $DUMPFILE
      if [ -f $DUMPFILE ]; then
        # SLES9-GA had a broken schema, and the new MOF compiler 
        # is more strict about referential integrity 
        mv $DUMPFILE $DUMPFILE.orig
        sed -e 's/Novell_ComputerSystem/Novell_UnitaryComputerSystem/'  \
          -e 's/Novell_LinuxComputerSystem/Novell_LinuxUnitaryComputerSystem/' \
                 < $DUMPFILE.orig > $DUMPFILE
      fi
    fi
  fi
  if [ -f $DUMPFILE ]; then
    mkdir $REPODIR/backup
    cp $REPODIR/*.{dat,ndx,lock} $REPODIR/backup || true
    rm -f $REPODIR/*.{dat,ndx,lock}
    %{prefix}/bin/owmofc -d $REPODIR -c -n root $DUMPFILE >> $LOGFILE 2>&1
    if [ "x$?" == "x0" ]; then
      rm -rf $REPODIR/backup
      rm -rf $REPODIR/dump
      
    else
      mv $REPODIR/backup/* $REPODIR
      rmdir $REPODIR/backup
      echo "MOF import failed!  Check $LOGFILE for details."
    fi
  fi
fi
# regardless of install or upgrade, load new schema.
%{prefix}/bin/owmofc -c -n root/cimv2 -d $REPODIR -s $CIMPATH \
    $CIMPATH/qualifiers.mof \
    $MOFDIR/openwbem/OpenWBEM_Interop.mof  >> $LOGFILE 2>&1
    if [ "x$?" != "x0" ]; then
      echo "MOF import failed!  Check $LOGFILE for details."
    fi
for i in root Interop; do
  %{prefix}/bin/owmofc -c -n $i -d $REPODIR -s $CIMPATH \
      $CIMPATH/qualifiers.mof \
      $CIMPATH/Interop/CIM_Namespace.mof \
      $CIMPATH/Interop/CIM_NamespaceInManager.mof \
      $MOFDIR/openwbem/OpenWBEM_Interop.mof  >> $LOGFILE 2>&1
      if [ "x$?" != "x0" ]; then
        echo "MOF import failed!  Check $LOGFILE for details."
      fi
done
%{prefix}/bin/owmofc -c -n root/security -d $REPODIR -s $CIMPATH \
    $MOFDIR/openwbem/OpenWBEM_Acl1.0.mof \
    $MOFDIR/openwbem/novell-openwbem-root-acl.mof  >> $LOGFILE 2>&1
if [ "x$CIMOM_RESTART" = "x1" ]; then
    $CIMOM_INIT restart > /dev/null 2>&1
fi

%postun
/sbin/ldconfig
%{insserv_cleanup}

%triggerpostun -- openwbem < 3.2.0
cd /usr/%_lib
for i in \
libcmpisupport.so                      libowprovideragent.so		\
libnonauthenticatingauthentication.so  libowprovider.so			\
libnpisupport.so                       libowrepositoryhdb.so		\
libopenwbem.so                         libowrequesthandlerbinary.so	\
libowcimomcommon.so                    libowrequesthandlercimxml.so	\
libowcimxmllistener.so                 libowserver.so			\
libowclient.so                         libowservicehttp.so		\
libowcppprovifc.so                     libowwqlcommon.so		\
libowdb.so                             libowwql.so			\
libowembeddedcimom.so                  libowxml.so			\
libowhttpclient.so                     libpamauthentication.so		\
libowhttpcommon.so                     libpamclauthentication.so	\
libowhttpxmllistener.so                libsimpleauthentication.so 	\
libowmofc.so ; do
  ln -sf $i.4 $i 
done

%files
%defattr(-,root,root,-)
%doc README TODO 
%doc AUTHORS COPYING ChangeLog LICENSE
%doc doc/*.HOWTO doc/*.html
%dir %{prefix}/%_lib/openwbem
%dir %{prefix}/share/mof/openwbem
%{prefix}/%_lib/openwbem/*
%dir %{localstatedir}/openwbem
%ghost %{localstatedir}/openwbem/*
%dir /etc/openwbem
%config(noreplace) /etc/openwbem/*
%config /etc/pam.d/openwbem
%attr(0755,root,root) /etc/init.d/%{daemonname}
%{prefix}/%_lib/lib*.so*
%{prefix}/bin/*
%{prefix}/sbin/*
%{prefix}/share/mof/openwbem/*
/var/adm/fillup-templates/sysconfig.owcimomd
%{_mandir}/man?/*
#%dir %_libdir/openwbem/cmpiproviders

%files devel
%defattr(-,root,root)
%dir %{prefix}/include/openwbem
%{prefix}/include/openwbem/*
%{prefix}/share/aclocal/openwbem.m4
%{prefix}/%_lib/lib*.a

%changelog
* Wed Jan 25 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 3.2.3-1
- Modified to be able build it on Fedora

* Wed Sep 15 2010 kkaempf@novell.com
- More GCC 4.x changes and an autotools adaption.
* Thu Jan 14 2010 kkaempf@novell.com
- Fix build for RHEL_5 and GCC 4.x
* Thu Feb 21 2008 mt@suse.de
- Added patch to reset openssl crypto locking callback before
  the mutexes are deleted in ~SSLGlobalWork, so openssl does
  not use them any more. There may be also another code using
  ssl (linked against code using it) and the global destruction
  of it may run after openwbem ssl global destruction.
* Tue Aug 14 2007 ro@suse.de
- fix build
  - use -fno-strict-aliasing, the code needs it
  - add rpmlintrc for .so files in main package
  - add ldconfig to post and postun scripts
* Fri Jul  6 2007 bwhiteley@suse.de
- Update to 3.2.3 cvs build.  This is basically the same as the
  previous 3.2.0 + the patch set.  We're updating to newer
  openwbem code as the many patches were beginning to be difficult
  to manage.
- Removed 3.1.0 code used to build a 3.1.0 repository dump.  No need
  to support upgrades from 3.1.0 anymore, and 3.2.0 has a working
  repository dump.
* Mon Jul  2 2007 bwhiteley@suse.de
- Fix CMPI headers (#281591)
* Thu May 10 2007 bwhiteley@suse.de
- Fix authorizer check for enumInstanceNames (#272078)
* Thu Apr 12 2007 bwhiteley@suse.de
- Fix CMPI provider reloading (#263094)
* Thu Mar 29 2007 bwhiteley@suse.de
- Use setfsgid and setgroups in addition to setfsuid (#258906)
  SWAMPID 9267
* Tue Mar 27 2007 bwhiteley@suse.de
- Removed conflict on pegasus (#228349)
* Mon Mar 26 2007 bwhiteley@suse.de
- Fix provider path on 64bit bi-arch systems. (#256822)
* Wed Mar  7 2007 bwhiteley@suse.de
- Added support for embedded instances as defined in DSP0201-2.2.0
  (#195192)
* Mon Mar  5 2007 bwhiteley@suse.de
- Really fix OpenWBEM_HostedObjectManager (#244395)
* Thu Mar  1 2007 bwhiteley@suse.de
- Fixed CMPI context (#249203)
* Fri Feb 23 2007 bwhiteley@suse.de
- Fixed xml parsing error with UTF8 multi-byte chars. (#200074)
* Wed Feb 14 2007 bwhiteley@suse.de
- Fixed OpenWBEM_HostedObjectManager provider to only handle
  the classes it should care about (#244395)
* Fri Jan 12 2007 bwhiteley@suse.de
- Removed perl provider IFC.  Nobody was using it.  Don't even know
  if it worked, and it was causing builds to fail.
* Tue Dec 19 2006 bwhiteley@suse.de
- renamed loadmof.sh -> ow-loadmof.sh (#228349)
* Mon Dec 11 2006 bwhiteley@suse.de
- Checking in to sle10-sp for SP1.  Management has decided to
  stick with OpenWBEM 3.2 for SLES10-sp1.
* Thu Nov 16 2006 bwhiteley@suse.de
- Compensate for seteiud() no longer being thread-specific
  (#215961)
* Thu Nov 16 2006 bwhiteley@suse.de
- Some CMPI patches for Jim F.'s Xen providers
* Tue Nov  7 2006 bwhiteley@suse.de
- fix typo in specfile (#179650)
* Mon Oct 23 2006 bwhiteley@suse.de
- Fixing status codes on http exceptions (#212440)
* Wed Oct 18 2006 bwhiteley@suse.de
- More cross-namespace association fixes for Jim Fehlig.
* Wed Oct 18 2006 bwhiteley@suse.de
- Fixed CryptographicRandomNumber to not always produce zeros in
  some cases.
* Tue Oct 17 2006 bwhiteley@suse.de
- Attempt to fix (or work-around) problem reported by Richard Keil
* Thu Oct 12 2006 bwhiteley@suse.de
- Added patch to show error details for client in more cases
* Mon May 22 2006 bwhiteley@suse.de
- Create /etc/openwbem/openwbem.conf.d dir so provider packages
  can more easily extend. (#177855)
- Backporting additional config file code from security branch
  (#177855)
* Mon May 22 2006 bwhiteley@suse.de
- More work on embedded cimom lib include files. (#176812)
* Thu May 18 2006 bwhiteley@suse.de
- Fixed to include header files in -devel package that were missing
  (#176812)
* Thu May 11 2006 bwhiteley@suse.de
- Added a %%triggerpostun to clean up install after an upgrade of
  SLES9-GA. (#174371)
* Thu May 11 2006 bwhiteley@suse.de
- Compensate for broken schema on SLES9-GA during upgrade
  (#174371)
* Thu May 11 2006 bwhiteley@suse.de
- Fixed loadmof to not trash all of /var/lib/openwbem on a failed
  mof compile (#174371)
* Fri May  5 2006 bwhiteley@suse.de
- More work on eliminating output during install and upgrade
  (#171447)
* Tue May  2 2006 bwhiteley@suse.de
- Logging loadmof output to a file instead of stdout (was
  previously visible during rpm install/upgrade). (#171447)
* Mon May  1 2006 bwhiteley@suse.de
- Fixed cross-namespace associations with simpleAssociatorIFC
  interface. (#171419)
* Thu Apr 27 2006 bwhiteley@suse.de
- Fix context passed to initialize and cleanup functions for cmpi
  (#170312)
* Mon Apr 24 2006 bwhiteley@suse.de
- Removed ldconfig from %%post and %%postun because this breaks
  upgrades (#82784)
* Thu Apr 20 2006 bwhiteley@suse.de
- Added ldconfig to %%post and %%postun (#82784)
* Wed Apr 19 2006 bwhiteley@suse.de
- Added default back to cmpi_prov_location config item in addition
  to our /usr/%%_lib/cmpi (#167858)
* Mon Apr 10 2006 bwhiteley@suse.de
- Removed -m switch to owmofc in loadmof.sh.  This was removing
  description qualifiers.  The extra kbytes on the installed
  system won't make that much difference, and we're making good
  use of these qualifiers now with some of our development tools.
* Mon Mar 13 2006 bwhiteley@suse.de
- Fix NULL cimomenv (occasional segfaults during shutdown #157808)
* Sat Feb 25 2006 bwhiteley@suse.de
- Changed so that only root can log in (#65423)
* Wed Feb 22 2006 bwhiteley@suse.de
- Fixed upgrade problem in %%post (#152935)
* Tue Feb 14 2006 bwhiteley@suse.de
- Compile with -fstack-protector (#65423)
* Fri Feb 10 2006 bwhiteley@suse.de
- Fix problem dumping repository if namespaces aren't lower-case
  this breaks upgrades. (#148204)
- Move to official released version (#150005)
* Mon Jan 30 2006 bwhiteley@suse.de
- Latest cvs which includes specifying namespaces on instances,
  and fixing HTTP authentication scheme to be case insensitive
  as required by HTTP specs.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 bwhiteley@suse.de
- Fixed to include more components of Interop schema
* Tue Jan 17 2006 bwhiteley@suse.de
- Changed Interop namespace in openwbem.conf
* Tue Jan 17 2006 bwhiteley@suse.de
- Changed to load interop schema in Interop namespace, and
  adjusted for generic cim-schema symlink
* Tue Jan 10 2006 bwhiteley@suse.de
- Removed CIM schema and made a dependency on cim-schema package
* Thu Jan  5 2006 bwhiteley@suse.de
- Upgrade cim schema to v2.11-experimental
* Sat Dec  3 2005 bwhiteley@suse.de
- Some changes to loadmof.sh script
* Thu Dec  1 2005 bwhiteley@suse.de
- Added generic symlink for mof files to hide moving cim schema
  version.
* Tue Nov 29 2005 bwhiteley@suse.de
- Added CIM_Namespace to /root (Interop) namespace
* Wed Nov 16 2005 bwhiteley@suse.de
- Fixed problem where qualifier handling (previous change) didn't
  work right in some cases.
* Tue Nov 15 2005 bwhiteley@suse.de
- New mof compiler fix to handle qualifiers in new namespaces
  New schema version
* Tue Nov 15 2005 bwhiteley@suse.de
- updated to newer CVS and fixed init script for #65447
* Thu Oct 27 2005 bwhiteley@suse.de
- Bring back stuff from the last 5 days that somehow was erased
  from existence.
- fixed rmmof.
- upgrade stuff.
* Thu Oct 20 2005 bwhiteley@suse.de
- More work on upgrade issues
* Wed Oct 19 2005 bwhiteley@suse.de
- trying to make gcc-4.1 and gcc-3.x _both_ happy ... at the same
  time
* Wed Oct 19 2005 bwhiteley@suse.de
- Fixed friend injection stuff for new compiler in beta
- some adjustments to %%post for mls.
* Wed Oct 19 2005 bwhiteley@suse.de
- new code from cvs with a new owmofc that automatically finds missing
  classes.  new loadmof.sh and .spec to match this change
- worked on upgrade issues, including repository format migration.
- includes repository dump for previos version (thus the old src tarball)
* Mon Oct  3 2005 bwhiteley@suse.de
- Changed loadmof.sh to make it easier for providers to install.
- upgraded to cimv2.10-experimentsl, and added mofs as part of the
  package
* Mon Sep 19 2005 bwhiteley@suse.de
- update to current CVS code.  This should fix the deprecation
  error with the latest compiler
* Thu May 19 2005 bwhiteley@suse.de
- Updated to OpenWBEM CVS build to move toward code10
* Tue Apr 26 2005 nashif@suse.de
- Create certificate when openwbem is first started instead of %%post
  (#62870)
- Fix minor syntax problem in openwbem.m4 (#62870)
* Wed Jan 26 2005 bwhitele@suse.de
- Fixed %%post to enable local authentication on upgrade
  Bugzilla 50261
* Tue Jan 25 2005 bwhitele@suse.de
- Fixed %%post to enable owcimomd
- Fixed PreReq to have all the stuff the scripts need.
* Tue Dec  7 2004 bwhitele@suse.de
- Update to openwbem-3.1.0 official release.
- fixed mode of /etc/pam.d/openwbem
- changed %%post to not restart daemon on upgrade
* Tue Dec  7 2004 bwhitele@suse.de
- Made local_auth true by default (Novell Remote Manager needs this).
* Mon Dec  6 2004 bwhitele@suse.de
- Update to 3.1.0.pre3
* Tue Nov 23 2004 bwhitele@suse.de
- Added a directory for novell providers so the CIMOM
  doesn't choke while trying to start.
* Mon Nov 22 2004 bwhitele@suse.de
- Update to version 3.1.0.pre2
* Sat Oct 30 2004 bwhiteley@suse.de
- Update to version 3.1.0.pre1
* Wed Oct 20 2004 nashif@suse.de
- Update to version 3.0.3
* Mon Jul 19 2004 nashif@suse.de
- Fixed problem in cmpiInstance.cpp. NULL value wasn't being
  checked when get the property from the instance. (#42826)
* Fri Jun 11 2004 nashif@suse.de
- OpenWBEM CMPI :duration timestamp gets converted to datetime
  format (#41922)
* Wed Jun  9 2004 nashif@suse.de
- Fixed bug #41763: OpenWBEM returns incorrect error codes from
  CMPI providers
* Tue Jun  1 2004 nashif@suse.de
- Update to version 3.0.2 which fixes previous bugs (##41414)
  and fixes return value of daemon (#41440)
  V. 3.0.2
* Sun May 30 2004 nashif@suse.de
- fixed to not crash when running sblim testsuite (#41414)
- Dont delete repository when updating
- Removed unneeded thread patch
* Wed May 12 2004 nashif@suse.de
- added script rmmof script for sblim providers
- Load Interop schema
- Fixed init script to handle pid file correctly
* Thu Apr 29 2004 nashif@suse.de
- Update to 3.0 final
* Sun Apr 18 2004 nashif@suse.de
- Update to 3.0 pre4
* Fri Apr 16 2004 nashif@suse.de
- Update to 3.0 pre3
- Modified loadmof.sh for new snapshot
* Tue Apr  6 2004 nashif@suse.de
- Update to latest CVS branch (3.0.0pre2)
- Added loadmof to load cmpi providers
- Added Conflict to pegasus-wbem
- Provide cim-server
- cmpi provider path is now /usr/lib/cmpi
* Mon Feb 16 2004 nashif@suse.de
- Update to latest CVS status
- Patches from novell (bwhiteley@novell.com):
  - better defaults (more secure) for the config file
  - schema gets compiled during RPM build, so the repository is
    loaded "out of the box" after RPM install.
  - ACLs are enabled and a default ACL policy provided (root user
    can do anything,  nobody else can do anything).
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Wed Dec 10 2003 nashif@suse.de
- fix build on s390
* Mon Dec  8 2003 nashif@suse.de
- Update to latest cvs version
* Thu Nov 27 2003 nashif@suse.de
- Initial Release
